<?php

namespace Drupal\pf_onesignal\Controller;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * Endpoint to receive OneSignal apple id validation.
 */
class AppleId extends ControllerBase {

  /**
   * @var \Drupal\Core\Config\ImmutableConfig
   */
  protected $config;

  /**
   * AppleId constructor.
   *
   * @param \Drupal\Core\Config\ConfigFactoryInterface $config_factory
   */
  public function __construct(ConfigFactoryInterface $config_factory) {
    $this->config = $config_factory->get('pf_onesignal.settings');
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('config.factory')
    );
  }

  /**
   * @return \Symfony\Component\HttpFoundation\JsonResponse
   */
  public function execute(): JsonResponse {
    return new JsonResponse([
      'applinks' => [
        'apps' => [],
        'details' => [[
          'appID' => $this->config->get('mobilebundleid'),
          'paths' => [
            '*',
          ],
        ]],
      ],
    ]);
  }

}
