<?php

namespace Drupal\pf_onesignal;

use Drupal\Core\TempStore\PrivateTempStoreFactory;
use Drupal\Core\TempStore\TempStoreException;

/**
 * Private temporary store for push framework onesignal access..
 */
class PrivateStore {

  protected $store;

  /**
   * Constructs a PrivateStore object.
   *
   * @param \Drupal\Core\TempStore\PrivateTempStoreFactory $temp_store_service
   */
  public function __construct(PrivateTempStoreFactory $temp_store_service) {
    $this->store = $temp_store_service->get('onesignal');
  }

  /**
   * @param string $key
   *
   * @return mixed
   */
  public function getValue($key) {
    return $this->store->get($key);
  }

  /**
   * @param string $key
   * @param mixed $value
   */
  public function setValue($key, $value): void {
    try {
      $this->store->set($key, $value);
    } catch (TempStoreException $e) {
      // Can be ignored.
    }
  }

}
